[script]
n0=ON *:JOIN:#:{
n1=  if ($nick == $me) { 
n2=    nicklust Mark $window($chan).hwnd nLUST_CallBack rowselect tooltips balloontips hideempty hottrack dlgframe clientedge underlinehot
n3=    dll DLL\nickLUST3.dll AddIcon $chan > $shortfn($mircdir\ico\op.ico)
n4=    dll DLL\nickLUST3.dll AddIcon $chan > $shortfn($mircdir\ico\voice.ico)
n5=    dll DLL\nickLUST3.dll AddIcon $chan > $shortfn($mircdir\ico\user.ico)
n6=    dll DLL\nickLUST3.dll AddIcon $chan > $shortfn($mircdir\ico\half.ico)
n7=    dll DLL\nickLUST3.dll AddIcon $chan > $shortfn($mircdir\ico\protect.ico)
n8=    dll DLL\nickLUST3.dll AddIcon $chan > $shortfn($mircdir\ico\protect.ico)
n9=    dll DLL\nickLUST3.dll AddIcon $chan > $shortfn($mircdir\ico\owner.ico)
n10=    dll DLL\nickLUST3.dll SetBranchImage $chan > 7
n11=    dll DLL\nickLUST3.dll SetGroupText $chan 1 >  Normali
n12=    dll DLL\nickLUST3.dll AddGroup $chan 10 ++ 2 >  Voice +
n13=    dll DLL\nickLUST3.dll AddGroup $chan 11 @+ 1 >  Operatori @ 
n14=    dll Dll\nickLUST3.dll AddGroup $chan 12 % 4 >  Halfop %
n15=    dll DLL\nickLUST3.dll AddGroup $chan 14 &&+ 6 >  Protect &&
n16=    dll DLL\nickLUST3.dll AddGroup $chan 15 ~+ 7 >  Owner ~
n17=    dll DLL\nickLUST3.dll SetGroupView $chan 1 normal
n18=    dll DLL\nickLUST3.dll SetGroupView $chan 10 normal
n19=    dll DLL\nickLUST3.dll SetGroupView $chan 11 normal
n20=    dll DLL\nickLUST3.dll SetGroupView $chan 12 normal
n21=    dll DLL\nickLUST3.dll SetGroupView $chan 14 normal
n22=    dll DLL\nickLUST3.dll SetGroupView $chan 15 normal
n23=    dll DLL\nickLUST3.dll SetGroupIcon $chan 1 3
n24=    dll DLL\nickLUST3.dll SetGroupPos $chan 15 start
n25=    dll DLL\nickLUST3.dll SetGroupPos $chan 14 end
n26=    dll DLL\nickLUST3.dll SetGroupPos $chan 11 end
n27=    dll DLL\nickLUST3.dll SetGroupPos $chan 12 end
n28=    dll DLL\nickLUST3.dll SetGroupPos $chan 10 end
n29=    dll DLL\nickLUST3.dll SetGroupPos $chan 1 end
n30=    dll DLL\nickLUST3.dll SetColor $chan bkg $color(1)
n31=    dll DLL\nickLUST3.dll SetColor $chan text $rgb(190,210,250)
n32=    dll DLL\nickLUST3.dll SetColor $chan tipbkg $rgb(60,0,150)
n33=    dll DLL\nickLUST3.dll SetColor $chan tiptext $rgb(190,210,250)
n34=    dll DLL\nickLUST3.dll SetColor $chan hottext $color(13)
n35=    dll DLL\nickLUST3.dll SetColor $chan divider $color(12) $color(13)
n36=    dll DLL\nickLUST3.dll SetHeaderFontStyle $chan Book antiqua
n37=    dll DLL\nickLUST3.dll SetHeaderColor $chan 15 $rgb(250,100,0)
n38=    dll DLL\nickLUST3.dll SetHeaderColor $chan 11 $color(9)
n39=    dll DLL\nickLUST3.dll SetHeaderColor $chan 12 $color(11)
n40=    dll DLL\nickLUST3.dll SetHeaderColor $chan 10 $color(13)
n41=    dll DLL\nickLUST3.dll SetHeaderColor $chan 14 $color(8)
n42=    dll DLL\nickLUST3.dll SetHeaderColor $chan 1 $color(6)
n43=    dll DLL\nickLUST3.dll SetHeaderColor $me $color(4)
n44=    dll DLL\nicklust3.dll SetHotCursor $chan > $shortfn($mircdircursore.cur)
n45=  }
n46=  haltdef
n47=}
n48=
n49=
n50=alias nicklust { dll $+(",$mircdirDLL\nickLUST3.dll,") $1- }
n51=alias nlust_callback {
n52=  if ($1 = tooltip) {
n53=    var %extra
n54=    if ($3 == $me) %extra
n55=    nicklust SetTipTitle $2 1 > Info: $3 %extra
n56=    return Stato: $nlist_pnick($remove($nick($2,$3).pnick,$3)) $+ $crlf $+ Idle: $duration($nick($2,$nick($2,$3)).idle) $+ $crlf $+ Host: $gettok($address($3,-1),2,64),$ifmatch,Sconosciuto) $+ $crlf $+ Ident: $gettok($gettok($address($3,-1),2,33),1,64) $+ $crlf $+ Canali: $_comchans($3,32)) $+ $crlf $+ Notify List: $iif($notify($3),Si,No)
n57=  }
n58=}
n59=alias nlist_pnick {
n60=  if ($1 = @) { return Operatore }
n61=  elseif ($1 = ~) { return owner }
n62=  elseif ($1 = &) { return Protect }
n63=  elseif ($1 = +) { return voice }
n64=  elseif ($1 = %) { return halfop }
n65=  elseif ($1 = $null) { return Normale }
n66=}
n67=alias _comchans {
n68=  var %tokk = $iif($2,$ifmatch,$chr(32)), %iii = 1, %chh
n69=  while (%iii <= $comchan($1,0)) {
n70=    %chh = $addtok(%chh,$comchan($1,%iii),%tokk) | inc %iii
n71=  }
n72=  return $sorttok(%chh,%tokk)
n73=}
n74=
n75=on *:exit: { 
n76=  var %x = $dll(0) 
n77=  while %x >= 0 { 
n78=    .dll -u $dll(%x) 
n79=    dec %x 
n80=  } 
n81=}
